GET_FUNCS(3)

NAME
lGet{Type},lGetPos{Type} - get the field content of type {Type}

SYNOPSIS
#include "cull.h"

int lGetInt( lListElem *element, int fieldname );

unsigned long lGetUlong(
    lListElem *element,
    int fieldname
);

char* lGetString( lListElem *element, int fieldname );

lList* lGetList( lListElem *element, int fieldname );

float lGetFloat( lListElem *element, int fieldname );

double lGetDouble( lListElem *element, int fieldname );

char lGetChar( lListElem *element, int fieldname );

long lGetLong( lListElem *element, int fieldname );

int lGetPosInt( lListElem *element, int position );

unsigned long lGetPosUlong(
    lListElem *element,
    int position
);

char* lGetPosString( lListElem *element, int position );

lList* lGetPosList( lListElem *element, int position );

float lGetPosFloat( lListElem *element, int position );

double lGetPosDouble( lListElem *element, int position );

char lGetPosChar( lListElem *element, int position );

long lGetPosLong( lListElem *element, int position );

DESCRIPTION

{Type} lGet{Type}( element, fieldname )
    return the content of the field specified by fieldname of list element element. The types of the requested field of list element element and the type {Type} must be equal.

{Type} lGetPos{Type}( element, position )
    return the content of the field specified by position of list element element. The types of the requested field of list element element and the type {Type} must be equal.

RETURN VALUES
lGet{Type} and lGetPos{Type} return the content of the specified field corresponding to its {Type}.

ERRORS
The following possible values can occur for lerrno.

LEELEMNULL
    The element pointer specifying the element is NULL.

SEE ALSO

COPYRIGHT
See for a full statement of rights and permissions.